petsc-3.4.2 2013-07-02

# PCApplyTranspose

Applies the transpose of preconditioner to a vector.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCApplyTranspose(PC pc,Vec x,Vec y)

Collective on PC and Vec

### Input Parameters

| pc | - the preconditioner context
| x | - input vector

### Output Parameter

y -output vector

Notes: For complex numbers this applies the non-Hermitian transpose.

Developer Notes: We need to implement a PCApplyHermitianTranspose()

### Keywords

PC, apply, transpose

### See Also

PCApply(), PCApplyBAorAB(), PCApplyBAorABTranspose(), PCApplyTransposeExists()

Level:developer
Location:src/ksp/pc/interface/precon.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages